Package org.apache.maven.scm.provider.synergy.command.tag

## Class SynergyTagCommand

- java.lang.Object
- - org.apache.maven.scm.command.AbstractCommand
  - - org.apache.maven.scm.command.tag.AbstractTagCommand
    - - org.apache.maven.scm.provider.synergy.command.tag.SynergyTagCommand

All Implemented Interfaces:
  `Command`, `SynergyCommand`

    public class SynergyTagCommand
    extends AbstractTagCommand
    implements SynergyCommand

Author:
  Julien Henry, Olivier Lamy

### Field Summary

### Fields inherited from interface org.apache.maven.scm.command.Command

`ROLE`

### Constructor Summary

Constructors
`SynergyTagCommand()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected ScmResult` `executeTagCommand​(ScmProviderRepository repository, ScmFileSet fileSet, java.lang.String tag, java.lang.String message)`
`protected ScmResult` `executeTagCommand​(ScmProviderRepository repository, ScmFileSet fileSet, java.lang.String tag, ScmTagParameters scmTagParameters)`

### Methods inherited from class org.apache.maven.scm.command.tag.AbstractTagCommand

`executeCommand`

### Methods inherited from class org.apache.maven.scm.command.AbstractCommand

`execute, getLogger, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SynergyTagCommand

    public SynergyTagCommand()

### Method Detail

#### executeTagCommand

    protected ScmResult executeTagCommand​(ScmProviderRepository repository,
                                          ScmFileSet fileSet,
                                          java.lang.String tag,
                                          java.lang.String message)
                                   throws ScmException

Overrides:
  `executeTagCommand` in class `AbstractTagCommand`
Returns:
Throws:
  `ScmException`

#### executeTagCommand

    protected ScmResult executeTagCommand​(ScmProviderRepository repository,
                                          ScmFileSet fileSet,
                                          java.lang.String tag,
                                          ScmTagParameters scmTagParameters)
                                   throws ScmException

Specified by:
  `executeTagCommand` in class `AbstractTagCommand`
Throws:
  `ScmException`